package jimm.datavision;
import java.util.List;

/**
 * Returned by a report when asked about a section's location within
 * the report. Handed back to the report when it is asked to re-insert
 * a section. Used by <code>DeleteSectionCommand</code>.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see jimm.datavision.gui.cmd.DeleteSectionCommand
 */
public class ReportSectionLoc {

Section section;
List list;
int index;

public ReportSectionLoc(Section s, List l, int i) {
    section = s;
    list = l;
    index = i;
}

}
