package jimm.datavision.gui;
import jimm.datavision.Rectangle;

/**
 * We save pre-move information for two reasons: because we may need to
 * snap back there, and because we need to know our original position
 * when finally moving.
 */
public class PreMoveInfo {

public java.awt.Point screenPos;
public Rectangle bounds;
public SectionWidget sectionWidget;

PreMoveInfo(FieldWidget fw) {
    bounds = new Rectangle(fw.getField().getBounds());
    sectionWidget = fw.getSectionWidget();
    screenPos = fw.getComponent().getLocationOnScreen();
}
}
