package jimm.datavision.testdata.mysql;
import jimm.datavision.testdata.Office;
import jimm.datavision.testdata.Job;
import jimm.datavision.testdata.SubtotalTestData;
import java.util.Iterator;
import java.util.Calendar;

class CreateData {

public static void main(String[] args) {
    System.out.println("delete from office;");
    for (Iterator iter = Office.offices(); iter.hasNext(); ) {
	Office o = (Office)iter.next();
	System.out.println("insert into office values (" + o.id + ", '"
			   + o.name + "', '" + o.abbrev + "', '" + o.fax
			   + "', '" + o.email + "', "
			   + (o.visible ? 1 : 0) + ");");
    }

    System.out.println("delete from jobs;");
    for (Iterator iter = Job.jobs(); iter.hasNext(); ) {
	Job j = (Job)iter.next();
	System.out.println("insert into jobs values (" + j.id + ", '"
			   + j.title + "', " + j.fk_office_id + ", '"
			   + j.company + "', '" + j.location + "', '"
			   + j.description + "', "
			   + (j.visible ? 1 : 0) + ", '"
			   + j.post_date.get(Calendar.YEAR) + '-'
			   + j.post_date.get(Calendar.MONTH) + '-'
			   + j.post_date.get(Calendar.DATE) + "', "
			   + j.hourly_rate + ");");
    }

    System.out.println("delete from subtotal_test;");
    for (Iterator iter =
	     SubtotalTestData.subtotalTestData("../subtotal_test.dat");
	 iter.hasNext(); ) {
	SubtotalTestData data = (SubtotalTestData)iter.next();
	System.out.println("insert into subtotal_test values ('" + data.col1()
			   + "', '" + data.col2() + "', " + data.value()
			   + ");");

    }
}

}
