#!/bin/sh
#
# Called from the Makefile, this script creates the tarball
# /tmp/datavision-<version>.tar.gz.
#

appdir=datavision
version=`./versionNumber.rb -n`
here=`dirname $0`

cd $here/..

cp -r $appdir $appdir-$version
find $appdir-$version -name .DS_Store -exec rm {} \;
tar -cf - $appdir-$version | gzip >/tmp/$appdir-$version.tar.gz
rm -r $appdir-$version

cd $here
