package jimm.datavision.layout.swing;
import jimm.datavision.Field;
import java.awt.Dimension;
import javax.swing.JComponent;

public abstract class AbstractSwingField implements SwingField {

protected Field field;
protected JComponent component;

public AbstractSwingField(Field f, JComponent c) {
    field = f;
    component = c;
}

public Field getField() { return field; }

public JComponent getComponent() { return component; }

/**
 * Makes borders using the field's border. <em>Unimplemented</em>.
 */
protected void makeBorders() {
//      if (field.getBorder() != null)
//  	field.getBorder().eachLine(this); // Calls drawLine for each line
}

//  public void drawLine(Line line) {
//  }

}
