package jimm.datavision.testdata.postgres;
import jimm.datavision.testdata.SchemaGen;

public class PostgreSQLSchemaGen extends SchemaGen {

protected void makeTable() {
    System.out.println("drop table " + tableName + ";");
    System.out.print("create table " + tableName + " (");
}

protected void endTable() {
    System.out.println();
    System.out.println(");");
}

protected void printType() {
    System.out.print(" ");
    if ("integer".equals(type))
      System.out.print("int");
    else if ("date".equals(type))
	System.out.print("date");
    else if ("boolean".equals(type))
	System.out.print("bool");
    else if ("string".equals(type))
	System.out.print("varchar(" + size + ")");
}

protected void printNotNull() {
    System.out.print(" not null");
}

public static void main(String[] args) {
    new PostgreSQLSchemaGen().run("../schema.xml");
}
}
